net.sourceforge.pmd

## Class ConfigurationTest

- java.lang.Object
- - net.sourceforge.pmd.ConfigurationTest

-     public class ConfigurationTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`
    `void` | `testBenchmark()`
    `void` | `testClassLoader()`
    `void` | `testCreateRenderer()`
    `void` | `testDebug()`
    `void` | `testInputPaths()`
    `void` | `testLanguageVersionDiscoverer()`
    `void` | `testMinimumPriority()`
    `void` | `testReportFile()`
    `void` | `testReportFormat()`
    `void` | `testReportProperties()`
    `void` | `testReportShortNames()`
    `void` | `testRuleSets()`
    `void` | `testShowSuppressedViolations()`
    `void` | `testSourceEncoding()`
    `void` | `testStressTest()`
    `void` | `testSuppressMarker()`
    `void` | `testThreads()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationTest

          public ConfigurationTest()

  - ### Method Detail

    - #### testSuppressMarker

          public void testSuppressMarker()

    - #### testThreads

          public void testThreads()

    - #### testClassLoader

          public void testClassLoader()
                               throws IOException

      Throws:
        `IOException`

    - #### testLanguageVersionDiscoverer

          public void testLanguageVersionDiscoverer()

    - #### testRuleSets

          public void testRuleSets()

    - #### testMinimumPriority

          public void testMinimumPriority()

    - #### testSourceEncoding

          public void testSourceEncoding()

    - #### testInputPaths

          public void testInputPaths()

    - #### testReportShortNames

          public void testReportShortNames()

    - #### testReportFormat

          public void testReportFormat()

    - #### testCreateRenderer

          public void testCreateRenderer()

    - #### testReportFile

          public void testReportFile()

    - #### testShowSuppressedViolations

          public void testShowSuppressedViolations()

    - #### testReportProperties

          public void testReportProperties()

    - #### testDebug

          public void testDebug()

    - #### testStressTest

          public void testStressTest()

    - #### testBenchmark

          public void testBenchmark()

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.